package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Village;
import com.realnet.basicp1.Services.VillageService ;








@RequestMapping(value = "/token/Village")
 @CrossOrigin("*") 
@RestController
public class tokenFree_VillageController {
	@Autowired
	private VillageService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Village")
		  public Village Savedata(@RequestBody Village data) {
		Village save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Village/{id}")
	public  Village update(@RequestBody Village data,@PathVariable Integer id ) {
		Village update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Village/getall/page")
	public Page<Village> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Village> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Village")
	public List<Village> getdetails() {
		 List<Village> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Village")
	public List<Village> getallwioutsec() {
		 List<Village> get = Service.getdetails();		
		return get;
}
@GetMapping("/Village/{id}")
	public  Village  getdetailsbyId(@PathVariable Integer id ) {
		Village  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Village/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}